/*
 * Intel ACPI Component Architecture
 * AML/ASL+ Disassembler version 20200925 (64-bit version)
 * Copyright (c) 2000 - 2020 Intel Corporation
 * 
 * Disassembling to symbolic ASL+ operators
 *
 * Disassembly of iASLy6qBzV.aml, Sun Nov 21 16:18:03 2021
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x0000034D (845)
 *     Revision         0x02
 *     Checksum         0x4E
 *     OEM ID           "ACDT"
 *     OEM Table ID     "CpuPlugA"
 *     OEM Revision     0x00003000 (12288)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20200925 (538970405)
 */
DefinitionBlock ("", "SSDT", 2, "ACDT", "CpuPlugA", 0x00003006)
{
    If (_OSI ("Darwin"))
    {
        External (_SB_, DeviceObj)

        Scope (\_SB)
        {
            Processor (CP00, 0x00, 0x00001810, 0x06)
            {
                Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
                Name (_UID, 0x00)  // _UID: Unique ID
                Name (_STA, 0x0F)  // _STA: Status
                Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
                {
                    If ((Arg2 == Zero))
                    {
                        Return (Buffer (One)
                        {
                             0x03                                             // .
                        })
                    }
                    Return (Package (0x02)
                    {
                        "plugin-type", 
                        One
                    })
                }
            }

            Processor (CP01, 0x01, 0x00001810, 0x06)
            {
                Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
                Name (_UID, 0x01)  // _UID: Unique ID
                Name (_STA, 0x0F)  // _STA: Status
            }
        
            Processor (CP02, 0x02, 0x00001810, 0x06)
            {
                Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
                Name (_UID, 0x2)  // _UID: Unique ID
                Name (_STA, 0x0F)  // _STA: Status
            }
        
            Processor (CP03, 0x03, 0x00001810, 0x06)
            {
                Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
                Name (_UID, 0x3)  // _UID: Unique ID
                Name (_STA, 0x0F)  // _STA: Status
            }
        
            Processor (CP04, 0x04, 0x00001810, 0x06)
            {
                Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
                Name (_UID, 0x04)  // _UID: Unique ID
                Name (_STA, 0x0F)  // _STA: Status
            }
        
            Processor (CP05, 0x05, 0x00001810, 0x06)
            {
                Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
                Name (_UID, 0x05)  // _UID: Unique ID
                Name (_STA, 0x0F)  // _STA: Status
            }
        
            Processor (CP06, 0x06, 0x00001810, 0x06)
            {
                Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
                Name (_UID, 0x06)  // _UID: Unique ID
                Name (_STA, 0x0F)  // _STA: Status
            }
        
            Processor (CP07, 0x07, 0x00001810, 0x06)
            {
                Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
                Name (_UID, 0x07)  // _UID: Unique ID
                Name (_STA, 0x0F)  // _STA: Status
            }
        
            Processor (CP08, 0x08, 0x00001810, 0x06)
            {
                Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
                Name (_UID, 0x08)  // _UID: Unique ID
                Name (_STA, 0x0F)  // _STA: Status
            }
        
            Processor (CP09, 0x09, 0x00001810, 0x06)
            {
                Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
                Name (_UID, 0x09)  // _UID: Unique ID
                Name (_STA, 0x0F)  // _STA: Status
            }
        
            Processor (CP0A, 0x0A, 0x00001810, 0x06)
            {
                Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
                Name (_UID, 0x0A)  // _UID: Unique ID
                Name (_STA, 0x0F)  // _STA: Status
            }
        
            Processor (CP0B, 0x0B, 0x00001810, 0x06)
            {
                Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
                Name (_UID, 0x0B)  // _UID: Unique ID
                Name (_STA, 0x0F)  // _STA: Status
            }
        }        
    }
}

